SUBROUTINE DEALXMO

!**** *DEALXMO* - Deallocate GMV,GMVS,GFL,GFLSLP 

!     Purpose.
!     -------
!           Deallocate GMV,GMVS,GFL,GFLSLP

!**   Interface.
!**   ---------
!**         DEALXMO is called from routine CNT1

!     Author.
!     -------
!        J. HAGUE *ECMWF*

!     Modifications.
!     --------------
!        Original :  07-Dec-2004

!------------------------------------------------------


USE PARKIND1  ,ONLY : JPRB
USE YOMHOOK   ,ONLY : LHOOK,   DR_HOOK
USE YOMGMV, ONLY : GMV,GMVS
USE YOMGFL , ONLY : GFL, GFLSLP
IMPLICIT NONE

REAL(KIND=JPRB) :: ZHOOK_HANDLE

IF (LHOOK) CALL DR_HOOK('DEALXMO',0,ZHOOK_HANDLE)

IF(ALLOCATED(GMV)) DEALLOCATE(GMV)
IF(ALLOCATED(GMVS)) DEALLOCATE(GMVS)
IF(ALLOCATED(GFL)) DEALLOCATE(GFL)
IF(ALLOCATED(GFLSLP)) DEALLOCATE(GFLSLP)

IF (LHOOK) CALL DR_HOOK('DEALXMO',1,ZHOOK_HANDLE)
END SUBROUTINE DEALXMO

